# Chromebook Device Nyan NVIDIA Tegra K1 (T124) Linux for Tegra Userspace Package Builder (Ubuntu/Debian)
## Description
'build_linux_for_tegra_userspace.sh' allows for the simplified and automated packaging of Linux for Tegra (L4T) 21.8 userspace libraries for use with NVIDIA Tegra K1 (T124) SoC Chromebooks.

Note: The package builder does not support the NVIDIA Jetson TK1 development board.

## Using the Package Builder
At a minimum, the package builder requires the following flags to be appended:

--package-maintainer <name>
--package-maintainer-contact <email>

Triple buffering is enabled by default in the X11 configuration file and is required to avoid artifacting in some cases, such as if the system is using the Mate desktop environment with the Compiz compositor

To prevent triple buffering from being enabled in the X11 xserver configuration file, append the flag:

--triple-buffering-is-disabled

For debugging purposes and testing, the following flag allows the script to continue should there be any error:

--disable-exit-on-error

Note: It is not recommended for this flag to be appended for general use cases.

A URL to the Linux for Tegra 21.8 userspace archive can be specified with:

--linux-for-tegra-userspace-archive-url

However, if no URL is specified to the package builder, it will use the following URL:

https://developer.download.nvidia.com/embedded/L4T/r21_Release_v8.0/release_files/Tegra124_Linux_R21.8.0_armhf.tbz2

If the '.deb' package file has been built successfully, it will be in the 'l4t-userspace-package' folder.

Note: Each time the package builder is used, the folder 'l4t-userspace-package' (if it exists at runtime) and anything that was placed in the folder will be removed.

## X11 Server Compatibility
As of currently, the newest X11 server compatible with the Linux for Tegra (L4T) 21.8 graphics libraries is the 1.18 series.  However, an upstream release of the X11 server with compatibility for the Linux for Tegra 21.8 graphics drivers.
